#!/bin/sh

#
# RRDaemon startup script v1.0
#                                             (C) 18-Sep-2002y by *HW*
#

# -----------------------------------------------------------------------------
if ! PREFIX=`expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"`; then
    echo "$0: Cannot determine the PREFIX" >&2
    exit 1
fi

# -----------------------------------------------------------------------------
case "$1" in
start)
	if [ -r ${PREFIX}/etc/rrdaemon/settings/rrdaemon.conf ]; then
		${PREFIX}/etc/rrdaemon/rrdaemon
		echo -n ' rrdaemon'
	fi
	;;
stop)
		${PREFIX}/etc/rrdaemon/rrdaemon -shutdown
		echo -n ' rrdaemon'
	;;
restart)
	$0 stop
	$0 start
	;;
*)
	echo "Usage: `basename $0` {start|stop|restart}" >&2
	;;
esac

# -----------------------------------------------------------------------------
exit 0

